Draft Rectangle/de: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
Line 28: Line 28:
Das Rechteckwerkzeug erstellt ein Rechteck, indem es zwei Punkte auswählt. Es wird das [[Draft Linestyle/de|Entwurf Linienstil]] verwendet, das auf dem [[Draft Tray/de|Draft Tray]] eingestellt ist.
Das Rechteckwerkzeug erstellt ein Rechteck, indem es zwei Punkte auswählt. Es wird das [[Draft Linestyle/de|Entwurf Linienstil]] verwendet, das auf dem [[Draft Tray/de|Draft Tray]] eingestellt ist.
</div>
</div>

Du kannst optional eine 45-Grad-Fase oder eine runde Verrundung zu jeder Ecke des Rechtecks hinzufügen, und du kannst das Rechteck in eine Reihe von gleich großen Reihen und Spalten unterteilen.


[[Image:Draft_Rectangle_example.jpg|400px]]
[[Image:Draft_Rectangle_example.jpg|400px]]
Line 43: Line 45:
#* Use the keyboard shortcut: {{KEY|R}} then {{KEY|E}}.
#* Use the keyboard shortcut: {{KEY|R}} then {{KEY|E}}.
# The {{MenuCommand|Rectangle}} task panel opens. See [[#Options|Options]] for more information.
# The {{MenuCommand|Rectangle}} task panel opens. See [[#Options|Options]] for more information.
# Pick the first point in the [[3D_view|3D view]], or type [[Draft_Coordinates|coordinates]] and press the {{Button|[[Image:Draft_AddPoint.svg|16px]] Enter point}} button.
# Pick the first point in the [[3D_view|3D view]], or type coordinates and press the {{Button|[[Image:Draft_AddPoint.svg|16px]] Enter point}} button.
# Pick the second point in the [[3D_view|3D view]], or type [[Draft_Coordinates|coordinates]] and press the {{Button|[[Image:Draft_AddPoint.svg|16px]] Enter point}} button. This point must not be constrained to the X, Y or Z axis.
# Pick the second point in the [[3D_view|3D view]], or type coordinates and press the {{Button|[[Image:Draft_AddPoint.svg|16px]] Enter point}} button. This point must not be constrained to the X, Y or Z axis.


==Options==
==Options==

Revision as of 09:52, 14 July 2021

Draft Rectangle

Menüeintrag
Entwurf → Rechteck
Arbeitsbereich
Draft, Arch
Standardtastenkürzel
R E
Eingeführt in Version
-
Siehe auch
Part Box

Description

Beschreibung

Das Rechteckwerkzeug erstellt ein Rechteck, indem es zwei Punkte auswählt. Es wird das Entwurf Linienstil verwendet, das auf dem Draft Tray eingestellt ist.

Du kannst optional eine 45-Grad-Fase oder eine runde Verrundung zu jeder Ecke des Rechtecks hinzufügen, und du kannst das Rechteck in eine Reihe von gleich großen Reihen und Spalten unterteilen.

Rechteck definiert durch die beiden Eckpunkte

Usage

See also: Draft Tray, Draft Snap and Draft Constrain.

  1. There are several ways to invoke the command:
    • Press the Draft Rectangle button.
    • Select the Drafting → Rectangle option from the menu.
    • Use the keyboard shortcut: R then E.
  2. The Rectangle task panel opens. See Options for more information.
  3. Pick the first point in the 3D view, or type coordinates and press the Enter point button.
  4. Pick the second point in the 3D view, or type coordinates and press the Enter point button. This point must not be constrained to the X, Y or Z axis.

Options

The single character keyboard shortcuts available in the task panel can be changed. See Draft Preferences. The shortcuts mentioned here are the default shortcuts.

  • To manually enter coordinates enter the X, Y and Z component, and press Enter after each. Or you can press the Enter point button when you have the desired values. It is advisable to move the pointer out of the 3D view before entering coordinates.
  • Press R or click the Relative checkbox to toggle relative mode. If relative mode is on, the coordinates of the second point are relative to the first point, else they are relative to the coordinate system origin.
  • Press G or click the Global checkbox to toggle global mode. If global mode is on, coordinates are relative to the global coordinate system, else they are relative to the working plane coordinate system. introduced in version 0.20
  • Press L or click the Filled checkbox to toggle filled mode. If filled mode is on, the created rectangle will have DatenMake Face set to true and will have a filled face.
  • Press T or click the Continue checkbox to toggle continue mode. If continue mode is on, the command will restart after finishing, allowing you to continue creating rectangles.
  • Press Esc or the Close button to abort the command.

Notes

  • A Draft Rectangle can be edited with the Draft Edit command.
  • If the Edit → Preferences... → Draft → General settings → Draft tools options → Use Part Primitives when available option is checked, the command will create a Part Plane instead of a Draft Rectangle. See Draft Preferences.

Properties

See also: Property editor.

A Draft Rectangle object is derived from a Part Part2DObject and inherits all its properties. It also has the following additional properties:

Data

Draft

  • DatenArea (Area): (read-only) specifies the area of the face of the rectangle. The value will be 0.0 if DatenMake Face if false.
  • DatenChamfer Size (Length): specifies the length of the chamfers at the corners of the rectangle.
  • DatenColumns (Integer): specifies the number of equal-sized columns in which the rectangle is divided.
  • DatenFillet Radius (Length): specifies the radius of the fillets at the corners of the rectangle.
  • DatenHeight (Distance): specifies the height of the rectangle.
  • DatenLength (Distance): specifies the length of the rectangle.
  • DatenMake Face (Bool): specifies if the rectangle makes a face or not. If it is true a face is created, otherwise only the perimeter is considered part of the object.
  • DatenRows (Integer): specifies the number of equal-sized rows in which the rectangle is divided.

View

Draft

  • AnsichtPattern (Enumeration): specifies the Draft Pattern with which to fill the face of the rectangle. This property only works if DatenMake Face is true and if AnsichtDisplay Mode is Flat Lines.
  • AnsichtPattern Size (Float): specifies the size of the Draft Pattern.
  • AnsichtTexture Image (File): specifies the path of the image file to be mapped onto the face of the rectangle. Blanking this property will remove the image. The rectangle should have the same proportions as the image to avoid distortions.

Scripting

See also: Autogenerated API documentation and FreeCAD Scripting Basics.

To create a Draft Rectangle use the make_rectangle method (introduced in version 0.19) of the Draft module. This method replaces the deprecated makeRectangle method.

rectangle = make_rectangle(length, height, placement=None, face=None, support=None)
  • Creates a rectangle object with length in the X direction and height in the Y direction, with units in millimeters.
  • If placement is None the rectangle is created at the origin and the length will be parallel to the X axis.
  • If face is True, the rectangle will make a face, that is, it will appear filled.

Beispiel:

import FreeCAD as App
import Draft

doc = App.newDocument()

rectangle1 = Draft.make_rectangle(4000, 1000)
rectangle2 = Draft.make_rectangle(1000, 4000)

zaxis = App.Vector(0, 0, 1)
p3 = App.Vector(1000, 1000, 0)
place3 = App.Placement(p3, App.Rotation(zaxis, 45))

rectangle3 = Draft.make_rectangle(3500, 250, placement=place3)

doc.recompute()